MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001225XdebugUsage problems (Wrong Results)public2015-12-07 15:292015-12-14 20:19
Reporterjanlanger 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0rc2 
Target VersionFixed in Version2.4.0rc3 
Summary0001225: PHP7 x64 xdebug RC2 in PHPStorm - no local variables shown
DescriptionPHP 7.0 x64 TS with xdebug 2.4.0RC2

In PHPStorm 10, there are no local variables shown when debugging. I've reported the issue to Jetbrains but they said that the bug is not in their product. Also is reproducible only with 64-bit PHP.

Issue in Jetbrains bugtracker - https://youtrack.jetbrains.com/issue/WI-30010 [^]
TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003317)
JProof (reporter)
2015-12-11 14:49

Same issue that i had posted on wrong department?
https://devnet.jetbrains.com/message/5565542 [^]
(0003318)
janlanger (reporter)
2015-12-11 14:59

@JProof: That's not the same issue. This happens only with PHP 7.0 x64 with xdebug 2.4.0RC2
(0003321)
mumu (reporter)
2015-12-11 17:52
edited on: 2015-12-11 17:52

I have also noticed this on Windows 10 / Apache Lounge / fcgi / PHP 7.0.0 RTM x64 NTS VC14 / xdebug 2.4.0RC2 / phpStorm 10.0.2.

(0003328)
derick (administrator)
2015-12-12 21:32

I just released Xdebug 2.4.0RC3, which hopefully addresses stability issues on Windows: http://xdebug.org/#2015_12_12 [^] — Can you please try that? Make also sure you run this with PHP 7.0.0 (or later), and not a PHP 7 Release Candidate.

In case it does not solve the problem, please provide a *full* but *short* reproducible test case that I can run myself. That includes hopefully a *single* script, and an accompanying remote debugging log (which you can make by setting xdebug.remote_log=c:\windows\temp\xdebug.log in php.ini).
(0003340)
janlanger (reporter)
2015-12-14 16:57

It works, thanks!
(0003342)
derick (administrator)
2015-12-14 20:19

Great, let me close this then :-)

- Issue History
Date Modified Username Field Change
2015-12-07 15:29 janlanger New Issue
2015-12-11 14:49 JProof Note Added: 0003317
2015-12-11 14:59 janlanger Note Added: 0003318
2015-12-11 17:52 mumu Note Added: 0003321
2015-12-11 17:52 mumu Note Edited: 0003321 View Revisions
2015-12-12 21:32 derick PHP Version 7.0.0rc7 => 7.0.0-7.0.4
2015-12-12 21:32 derick Note Added: 0003328
2015-12-12 21:32 derick Assigned To => derick
2015-12-12 21:32 derick Status new => feedback
2015-12-14 16:57 janlanger Note Added: 0003340
2015-12-14 16:57 janlanger Status feedback => assigned
2015-12-14 20:19 derick Note Added: 0003342
2015-12-14 20:19 derick Status assigned => closed
2015-12-14 20:19 derick Resolution open => fixed
2015-12-14 20:19 derick Fixed in Version => 2.4.0rc3
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker